## visad.bom
Class PickCell

    java.lang.Object
      visad.ActionImpl
          visad.CellImpl
              visad.bom.PickCell

All Implemented Interfaces:
  Action, Cell, EventListener, Runnable, ThingChangedListener

class PickCell
extends CellImpl

CellImpl for user clicks to delete move vectors via setData(null)

Field Summary

Fields inherited from class visad.CellImpl
``

Constructor Summary
`PickCell(DataReferenceImpl rf, DataRenderer rd)`

Method Summary
`void` `doAction()` subclasses of CellImpl implement doAction to execute triggered computation
`void` `setSkip()`

Methods inherited from class visad.CellImpl
`getOtherReference, setOtherReference`

Methods inherited from class visad.ActionImpl
`addReference, checkTicks, disableAction, enableAction, findReference, getCurrentActionThread, getLinks, getName, removeAllReferences, removeReference, run, setEnabled, setName, setThreadPoolMaximum, stop, stopThreadPool, thingChanged, waitForTasks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface visad.Action
`addReference, getName, removeAllReferences, removeReference`

Methods inherited from interface visad.ThingChangedListener
`thingChanged`

Constructor Detail

### PickCell

    public PickCell(DataReferenceImpl rf,
                    DataRenderer rd)

Method Detail

### doAction

    public void doAction()
                  throws VisADException,
                         RemoteException

  Description copied from class: `CellImpl`
  subclasses of CellImpl implement doAction to execute triggered computation

  Specified by:
    `doAction` in class `CellImpl`
  Throws:
    `RemoteException` - - an RMI error occurred
    `VisADException` - - a VisAD error occurred

### setSkip

    public void setSkip()